Feedback themes
Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Query Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/external-api/feedback/themes"{ "items": [ { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" } } ]}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Create a feedback theme through the External API.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/external-api/feedback/themes" \ -H "Content-Type: application/json" \ -d '{ "title": "string", "type": "bug", "priority": "no_priority", "description": "string" }'{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Patch a feedback theme through the External API.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidResponse Body
application/json
curl -X DELETE "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08"Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Link a feedback item to a theme.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/feedback_links" \ -H "Content-Type: application/json" \ -d '{ "feedback_item_id": "a95e702f-f98c-45a1-9262-ce30febb33db" }'{ "data": { "object": "quote", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "feedback_item_id": "a95e702f-f98c-45a1-9262-ce30febb33db", "theme_id": "ef2b46f3-8ebb-437e-a671-272e4990fbc8", "text_excerpt": "string", "created_at": "2019-08-24T14:15:22Z" }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuiduuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/feedback_links/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "object": "quote", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "feedback_item_id": "a95e702f-f98c-45a1-9262-ce30febb33db", "theme_id": "ef2b46f3-8ebb-437e-a671-272e4990fbc8", "text_excerpt": "string", "created_at": "2019-08-24T14:15:22Z" }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuiduuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/work_orders/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/feature"{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Upsert a theme's linked feature requirements document.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/feature" \ -H "Content-Type: application/json" \ -d '{ "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407" }'{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Link a work order to a theme.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/work_orders" \ -H "Content-Type: application/json" \ -d '{ "work_order_id": "8b498a82-c67b-4806-a10f-d3c5f51a2153" }'{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/assignee"{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}Authorization
ApiKeyAuth External API key header (format: sofa-ext-). Authorization: Bearer is also accepted.
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Assign a theme by user id or email.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v2/external-api/feedback/themes/497f6eca-6276-4993-bfeb-53cbbbba6f08/assignee" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "object": "theme", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "display_id": "string", "title": "string", "status": "unresolved", "type": "bug", "priority": "no_priority", "quote_count": 0, "linked_work_order_count": 0, "feature_requirements_document_id": "b8e3f715-d8aa-4956-89a3-f0d7caf84407", "assignee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "string", "name": "string" }, "description": "string", "markdown_content": "string", "connectedContext": [ { "resourceType": "artifact", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6" } ] }}